summaryrefslogtreecommitdiff
path: root/abe-bisect.sh
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2021-02-08 10:06:28 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2021-02-08 10:08:34 +0000
commit94a5943b020cc8dedcf6822644977d1d2e23d784 (patch)
tree3b8ae4455c6c8983d1ff0b298eb68def23f993a4 /abe-bisect.sh
parentebecd4490c0d4434d1452caeb72958cd83f3733f (diff)
abe-bisect.sh: Fix occurrences of BAD/GOOD vs BADGIT/GOODGIT and BADSHA1/GOODSHA1
Change-Id: I1f8e05261b5e7abf827d52f2c5ac93db5fdd998b
Diffstat (limited to 'abe-bisect.sh')
-rwxr-xr-xabe-bisect.sh21
1 files changed, 8 insertions, 13 deletions
diff --git a/abe-bisect.sh b/abe-bisect.sh
index 5cab2740..86fa75b5 100755
--- a/abe-bisect.sh
+++ b/abe-bisect.sh
@@ -5,8 +5,8 @@ set -x
# Inputs (as env. variables):
# EXP: name of .exp file to run
# TESTNAME: name of test to run
-# GOOD (svn) or GOODGIT (git)
-# BAD (svn) or (BADGIT) (git)
+# GOODGIT
+# BADGIT
# TARGET
# CPU
# FPU
@@ -15,7 +15,7 @@ set -x
# TARGETBOARD: additional test flags
# Sample usage:
-# EXP=advsimd-intrinsics.exp TESTNAME=vduph_lane.c TARGET=aarch64-linux-gnu GOOD=242941 BAD=242954 ./abe-bisect.sh
+# EXP=advsimd-intrinsics.exp TESTNAME=vduph_lane.c TARGET=aarch64-linux-gnu GOODGIT=242941 BADGIT=242954 ./abe-bisect.sh
# Check if the variable NAME is set
check_set()
@@ -64,19 +64,14 @@ git reset --hard
git pull
git bisect start --no-checkout
-# GIT revisions take precedence over SVN ones (normally one should
-# provide either SVN revs or GIT revs, not both
-[ "x$GOOD" != "x" ] && GOODSHA1=`git log --format=format:"%H" --grep=trunk@${GOOD} master`
-[ "x$BAD" != "x" ] && BADSHA1=`git log --format=format:"%H" --grep=trunk@${BAD} master`
-
[ "x$GOODGIT" != "x" ] && GOODSHA1=`git log --format=format:"%H" -n1 ${GOODGIT}`
[ "x$BADGIT" != "x" ] && BADSHA1=`git log --format=format:"%H" -n1 ${BADGIT}`
echo GOOD: $GOODSHA1
echo BAD: $BADSHA1
-[ x"$GOODSHA1" = x ] && (echo "ERROR: Could not find good commit ($GOOD)" | tee -a $MAILBODY) && exit 1
-[ x"$BADSHA1" = x ] && (echo "ERROR: Could not find bad commit ($BAD)" | tee -a $MAILBODY) && exit 1
+[ x"$GOODSHA1" = x ] && (echo "ERROR: Could not find good commit ($GOODGIT)" | tee -a $MAILBODY) && exit 1
+[ x"$BADSHA1" = x ] && (echo "ERROR: Could not find bad commit ($BADGIT)" | tee -a $MAILBODY) && exit 1
# Build list of gcc configure options depending on cpu/fpu/mode
GCC_OVERRIDE_CONFIGURE=
@@ -100,7 +95,7 @@ ${ABE}/abe.sh --target ${TARGET} \
--check gcc \
--excludecheck gdb >& gcc-${GOODSHA1}.log
if [ $? -ne 0 ]; then
- echo "ERROR: failure while building/testing GOOD ($GOOD}" | tee -a $MAILBODY
+ echo "ERROR: failure while building/testing GOOD ($GOODGIT}" | tee -a $MAILBODY
exit 1
fi
@@ -116,7 +111,7 @@ ${ABE}/abe.sh --target ${TARGET} \
--check gcc \
--excludecheck gdb >& gcc-${BADSHA1}.log
if [ $? -ne 0 ]; then
- echo "ERROR: failure while building/testing BAD ($BAD}" | tee -a $MAILBODY
+ echo "ERROR: failure while building/testing BAD ($BADGIT}" | tee -a $MAILBODY
exit 1
fi
@@ -126,7 +121,7 @@ bad_nb_pass=$(cat $sums | grep -wc PASS)
# make sure BAD has more failures than GOOD
if [ $bad_nb_fail -le $good_nb_fail ]; then
- echo "ERROR: BAD ($BAD) does not have more failures ($bad_nb_fail) than GOOD ($GOOD) ($good_nb_fail)" | tee -a $MAILBODY
+ echo "ERROR: BAD ($BADGIT) does not have more failures ($bad_nb_fail) than GOOD ($GOODGIT) ($good_nb_fail)" | tee -a $MAILBODY
exit 1
fi